test: ColorSpaceInfo struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# ColorSpaceInfo Struct Reference

List of all members.

## Public Attributes

SINT32 | origSizeIn
SINT32 | origSizeOut
SINT32 | usedSizeIn
SINT32 | usedSizeOut
void * | tempInBuffer
void * | tempOutBuffer
SINT32 | processedLinesIn
SINT32 | processedLinesOut
SINT32 | inputPixelSize
SINT32 | outputPixelSize
Boolean | inPlace
void * | tempInBuffer
void * | tempOutBuffer

## Member Data Documentation

Boolean ColorSpaceInfo::inPlace

| Definition at line 58 of file w98/lh_core/runtime.c. Referenced by FindCalcRoutine(), LHCheckBitMapPrivate(), LHCheckColorsPrivate(), LHCheckColorsPrivateMS(), LHMatchBitMapPlanePrivate(), LHMatchBitMapPrivate(), and LHMatchColorsPrivate().

SINT32 ColorSpaceInfo::inputPixelSize

| Definition at line 56 of file w98/lh_core/runtime.c. Referenced by CheckInputColorSpace(), CopyIndexData(), Do555To8Setup(), LHMatchBitMapPrivate(), and SetOutputColorSpaceInplace().

SINT32 ColorSpaceInfo::origSizeIn

| Definition at line 48 of file w98/lh_core/runtime.c. Referenced by CheckInputColorSpace(), Do555To8Setup(), LHCheckBitMapPrivate(), LHCheckColorsPrivate(), LHCheckColorsPrivateMS(), LHMatchBitMapPlanePrivate(), LHMatchBitMapPrivate(), LHMatchColorsPrivate(), and SetOutputColorSpaceInplace().

SINT32 ColorSpaceInfo::origSizeOut

| Definition at line 49 of file w98/lh_core/runtime.c. Referenced by AllocBufferCheckCM(), CheckOutputColorSpace(), CheckOutputColorSpaceChk(), Do8To555Setup(), LHCheckBitMapPrivate(), LHCheckColorsPrivate(), LHCheckColorsPrivateMS(), LHMatchBitMapPlanePrivate(), LHMatchBitMapPrivate(), and LHMatchColorsPrivate().

SINT32 ColorSpaceInfo::outputPixelSize

| Definition at line 57 of file w98/lh_core/runtime.c. Referenced by CheckOutputColorSpace(), CopyIndexData(), Do8To555Setup(), and LHMatchBitMapPrivate().

SINT32 ColorSpaceInfo::processedLinesIn

| Definition at line 54 of file w98/lh_core/runtime.c. Referenced by CheckInputColorSpace(), Do555To8Setup(), LHCheckBitMapPrivate(), LHCheckColorsPrivate(), and LHMatchBitMapPrivate().

SINT32 ColorSpaceInfo::processedLinesOut

| Definition at line 55 of file w98/lh_core/runtime.c. Referenced by AllocBufferCheckCM(), CheckOutputColorSpace(), CheckOutputColorSpaceChk(), and Do8To555Setup().

void* ColorSpaceInfo::tempInBuffer

| Definition at line 52 of file w98/lh_core/runtime.c.

void* ColorSpaceInfo::tempInBuffer

| Definition at line 52 of file lh_core/runtime.c. Referenced by CheckInputColorSpace(), Do555To8Setup(), LHCheckBitMapPrivate(), LHMatchBitMapPlanePrivate(), and LHMatchBitMapPrivate().

void* ColorSpaceInfo::tempOutBuffer

| Definition at line 53 of file w98/lh_core/runtime.c.

void* ColorSpaceInfo::tempOutBuffer

| Definition at line 53 of file lh_core/runtime.c. Referenced by AllocBufferCheckCM(), CheckOutputColorSpace(), CheckOutputColorSpaceChk(), Do8To555Setup(), LHCheckBitMapPrivate(), LHCheckColorsPrivate(), LHMatchBitMapPlanePrivate(), and LHMatchBitMapPrivate().

SINT32 ColorSpaceInfo::usedSizeIn

| Definition at line 50 of file w98/lh_core/runtime.c. Referenced by CheckInputColorSpace(), Do555To8Setup(), FindCalcRoutine(), FindLookupRoutine(), LHCheckColorsPrivate(), LHCheckColorsPrivateMS(), and LHMatchColorsPrivate().

SINT32 ColorSpaceInfo::usedSizeOut

| Definition at line 51 of file w98/lh_core/runtime.c. Referenced by AllocBufferCheckCM(), CheckOutputColorSpace(), CheckOutputColorSpaceChk(), Do8To555Setup(), FindCalcRoutine(), FindLookupRoutine(), LHCheckColorsPrivate(), LHCheckColorsPrivateMS(), and LHMatchColorsPrivate().

The documentation for this struct was generated from the following files:

- lh_core/runtime.c
- w98/lh_core/runtime.c